
![Learnihon](./doc/Learnihon_Banner.png)

---
<div align = center>


![React Native](https://img.shields.io/badge/React%20Native-000?style=for-the-badge&logo=react&logoColor=blue&color=white)
<br>
[![Quality gate](https://codefirst.iut.uca.fr/sonar/api/project_badges/quality_gate?project=Learnihon&token=8ca2bd563da7103d1c1c3d3a4b3d6cc73a621147)](https://codefirst.iut.uca.fr/sonar/dashboard?id=Learnihon)

</div>

---

## Description
**Nom de l'application** : Learnihon

**Contexte** : En plus de 92 caractres composants les deux syllabaires japonais, le Japon possde galement plus de 2000 idogrammes appels "kanjis" issus du chinois et utiliss a quotidien dans la langue. Learnihon a pour but d'aider  l'apprentissage de ces caractres en proposant un systme de "flashcard" alatoire, pouvant tre tri par niveaux. L'application propose ainsi une liste dtaille des diffrents caractres ainsi qu'un espace pour s'entrainer  l'criture des kanjis. L'application est entirement en anglais et utilise l'API web [Kanji alive](https://app.kanjialive.com/api/docs).

**Visuels** : 

*Maquettes de l'application :*
![Screenshots](./doc/Learnihon_Sketches.png)

*Captures d'cran de l'application :*
![Screenshots](./doc/Learnihon_Screenshots.png)

**Fonctionnement** : 

Learnihon possde trois onglets principaux : 
- **Liste** : La liste de tous les kanjis disponibles, tris par niveaux. Il est possible d'afficher seulement les niveaux que l'on souhaite. En appuyant sur un kanji, une page s'affiche comprenant tous les dtails sur le symbole. Cela inclut ses diffrentes prononciations, le trac du caractre, les sens du mot en anglais, le radical du symbole s'il y en a un ainsi que divers exemples.

- **Apprentissage** : Ici, des kanjis alatoires apparatront. Le but est de traduire ces kanjis et de voir si l'on a eu juste ou non. 
Il est possible de slectionner seulement les niveaux que l'on dsire apprendre. Les rsultats sont sauvegards en local et s'affichent dans l'onglet *liste* sous forme de pourcentage.

- **Dojo** : Cet onglet permet de s'entraner  l'criture des diffrents caractres. L'onglet possde une zone de recherche ainsi qu'une zone de recherche. Il est possible de rechercher des kanjis selon divers critres et d'en slectionner un, sa silhouette apparatra alors dans la zone de dessin. Il est possible de masquer et de dmasquer la silhouette du caractre  tout moment. Le principe est donc de masquer le caractre afin de le tracer de mmoire, puis de rvler la silhouette dans le but de voir si l'on a eu juste ou non.

L'application se base sur les paramtres de l'appareil afin de s'afficher en mode clair ou en mode sombre.

## Disponible sur
- [x] &nbsp; ![IOS](https://img.shields.io/badge/IOS-000?style=for-the-badge&logo=apple&logoColor=black&color=white)
- [x] &nbsp; ![Android](https://img.shields.io/badge/Android-000?style=for-the-badge&logo=android&logoColor=white&color=green)


</br>
<div align = center>
arthur.valin@etu.uca.fr

 PM2
</div>